/*
 *      SCCS:  @(#)remexec.c	1.24 (00/04/03) 
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

#ifndef lint
static char sccsid[] = "@(#)remexec.c	1.24 (00/04/03) TET3 release 3.6";
#endif

/************************************************************************

SCCS:   	@(#)remexec.c	1.24 00/04/03 TETware release 3.6
NAME:		remexec.c
PRODUCT:	TETware
AUTHOR:		Andrew Dingwall, UniSoft Ltd.
DATE CREATED:	April 1992

SYNOPSIS:
	#include "tet_api.h"
	int tet_remexec(int sysname, char *file, char **argv);

DESCRIPTION:
	DTET API function

	execute process on remote system
	return remoteid if successful or -1 on error

	errno is set to one of the following when tet_remexec returns -1
	(a * indicates a value not mentioned in the DTET spec)

		EINVAL	sysname does not refer to a known slave system

		ENOEXEC file cannot be executed on the remote system,
			or sync with remote process failed

		ENOMEM*	out of memory on the local system

		EFAULT*	null file or argv value

		EIO*	communication with server processes failed

MODIFICATIONS:
	Denis McConalogue, UniSoft Limited, August 1993
	fix SEGV in tet_remexec when parameter list *ap not NULL terminated.

	Andrew Dingwall, UniSoft Ltd., December 1993
	changed dapi.h to dtet2/tet_api.h

	Geoff Clare, UniSoft Ltd., July 1996
	Changes for TETWare.

	Andrew Dingwall, UniSoft Ltd., August 1996
	co-operate with tet_remtime() when logging on to TCCDs

	Geoff Clare, UniSoft Ltd., Sept 1996
	Make rtab updates signal safe.
	Changes for TETWare-Lite.

	Andrew Dingwall, UniSoft Ltd., July 1998
	As a result of changes to the way in which tcc processes
	distributed configuration variables, we no longer need to process
	tcc command-line variables here (code which does this has been
	excluded with #if 0).
	Fixed a bug which caused a SIGSEGV if there were no distributed
	configuration variables.
	Added support for shared API libraries.
	Send TET_ROOT and TET_EXECUTE environment variables to tccd
	as part of the remote configuration process.
 
	Andrew Dingwall, UniSoft Ltd., June 1999
	Look for tetexec.cfg on the remote system in the alternate
	execution directory if one is defined, before looking in the
	test suite root directory.

	Andrew Dingwall, UniSoft Ltd., July 1999
	added support for 'other language' APIs

	Andrew Dingwall, UniSoft Ltd., October 1999
	added support for strict POSIX threads

	Andrew Dingwall, UniSoft Ltd., October March 2000
	set the tccd configuration mode after performing a config
	variable exchange


************************************************************************/


/* avoid "empty" file */
int tet_remexec_not_supported;


