/* lsb_devstat:
 *	Arguments: argv[1] devicename
 *	Returns: 0 - Success, on stdout it outputs a space separated list
 *			of  device-name type major# minor#
 *			where type= b or c
 *			and major# and minor# are decimal numbers
 *		 2 - Unresolved, too many arguments
 *
 * For example: lsb_devstat /dev/fd0H1440 outputs
 *	/dev/fd0H1440 b 2 0
 */

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <sys/stat.h>
#include <errno.h>
#include "lsb-fhs-ts.h"

main (argc, argv)
int argc;
char *argv[];
{
struct stat buf;
int retval,major,minor;

if ( argc < 2 ) {
	fprintf(stderr, "%s: usage: %s filename\n", argv[0], argv[0]);
	exit(LSB_FHS_TS_UNRESOLVED);
}

errno = 0;
retval = stat ( argv[1], &buf );
if ( retval == -1 ) {

	fprintf(stderr, "%s: stat (%s) returned -1, errno= %d, (%s)\n",
		argv[0], argv[1], errno, strerror(errno));

	exit (LSB_FHS_TS_UNRESOLVED);
}

fprintf(stdout, "%s ", argv[1]);
if ( S_ISCHR(buf.st_mode) )
	fprintf(stdout, "c ");
else if (S_ISBLK(buf.st_mode))
	fprintf(stdout, "b ");
     else
	fprintf(stdout,"* ");

/* this is probably Linux specific */
major=minor=buf.st_rdev;
fprintf(stdout,"%d %d\n", major >>8, minor & 0x00FF);
exit (LSB_FHS_TS_PASS);

}
